ServiceException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.service.ServiceException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.service
Class ServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.service.ServiceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FailedToQueueEventException

    public class ServiceException

extends MessagingException

`ServiceException` should be thrown when some action on a service fails, such as starting or stopping

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.MessagingException
`muleMessage`

Constructor Summary
`ServiceException(Message message, MuleMessage muleMessage, Service service)`
`ServiceException(Message message, MuleMessage muleMessage, Service service, Throwable cause)`
`ServiceException(MuleMessage message, Service service, Throwable cause)`

Method Summary
`Service` | `getService()`

Methods inherited from class org.mule.api.MessagingException
`getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceException

    public ServiceException(Message message,
                            MuleMessage muleMessage,
                            Service service)

Parameters:
  `message` - the exception message

### ServiceException

    public ServiceException(Message message,
                            MuleMessage muleMessage,
                            Service service,
                            Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown

### ServiceException

    public ServiceException(MuleMessage message,
                            Service service,
                            Throwable cause)

Method Detail

### getService

    public Service getService()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.